commit:     9f7e9089dd9bf51c8eb358235011dd451e01aae4
Author:     Alex Brandt <alunduil <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 13 15:26:06 2016 +0000
Commit:     Alex Brandt <alunduil <AT> gentoo <DOT> org>
CommitDate: Sat Aug 13 15:26:06 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9f7e9089

dev-python/aiohttp: add version 0.22.5

Package-Manager: portage-2.3.0

 dev-python/aiohttp/Manifest              |  1 +
 dev-python/aiohttp/aiohttp-0.22.5.ebuild | 58 ++++++++++++++++++++++++++++++++
 2 files changed, 59 insertions(+)

diff --git a/dev-python/aiohttp/Manifest b/dev-python/aiohttp/Manifest
index 8e33a80..a92b1ad 100644
--- a/dev-python/aiohttp/Manifest
+++ b/dev-python/aiohttp/Manifest
@@ -1,3 +1,4 @@
 DIST aiohttp-0.21.5.tar.gz 529005 SHA256 
bac5c883721e0818e405597d2778f08a38cc097df01f574462de2cc4f8090559 SHA512 
4958d7c58988a95fc5b1e94e4eb7247f59b55e5ba439391c7b072a7ec267491159e1c8c7c6f05e6f7f72e4de5c12784c8d437665c01e6d9fb1e87a3334c1d35c
 WHIRLPOOL 
135368db11316c8f99f39bbf317f791e433a779f61e45070166bab12b4e97165d2c6e732e8da96a848b431c1f26de45e416009bca4e75456025187ea7a41e04e
 DIST aiohttp-0.22.2.tar.gz 475062 SHA256 
30b588573c88942dac7438509731e197d74552060547b79cf6ace8564ee4b277 SHA512 
405a706e112500110d89cfaed7bd1696a8af391bcfcacd47649d098f5216d74427b8b8628e5402e137eb599628170d03c58877742fa427d450d80c7cd66abf96
 WHIRLPOOL 
4f98e513387995ed2ece5377e4be3648d831ccecdce0bd86a5d800437cf681dd9b6fdc1a4b23be389bef154e87c8c5b668e378cebf3d0a45936329e000742e84
 DIST aiohttp-0.22.4.tar.gz 475257 SHA256 
167ec7373a3319419834e6c61846b7267c5fc6748b9dd2504b7e9378b55afcdd SHA512 
04efa2b714c0c310b24b092af8d5c7e766ccfbc888f969b2d2f99ac57a478056f66662aa793f319783b8c12605bbee8c5ba283bb8b10fd34497a583b886e8aa1
 WHIRLPOOL 
d827932ccfb19290ae1f6f1b3551da29c255640f309d1e776723e825e0a7580b830b0bd836e9c33ce3859d5e21955211f1d2e6830cff89e1cf9df8082a04b8af
+DIST aiohttp-0.22.5.tar.gz 475312 SHA256 
9c51af030c866f91e18a219614e39d345db4483ed9860389d0536d74d04b0d3b SHA512 
919818445590b386b40edd05e8a58fac0b1b2993fe82faf95e10b53b5c0b3b464e92ea2484bc1929cb737351f3629b77a4ff67788248e19d69eb638bbf44a5e3
 WHIRLPOOL 
45e2c0fc3aab759ac1e95bc25d1983aa1c874c07595af7cb48af0e4e43b01fbe69a56c22216d0c4ba13da53c5e0172e95916e0c87bb0bb7a7630c8d631aa0152

diff --git a/dev-python/aiohttp/aiohttp-0.22.5.ebuild 
b/dev-python/aiohttp/aiohttp-0.22.5.ebuild
new file mode 100644
index 0000000..3a442c1
--- /dev/null
+++ b/dev-python/aiohttp/aiohttp-0.22.5.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+PYTHON_COMPAT=( python3_4 python3_5 )
+
+inherit distutils-r1
+
+DESCRIPTION="http client/server for asyncio"
+HOMEPAGE="https://pypi.python.org/pypi/aiohttp";
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+EGIT_REPO_URI="https://github.com/KeepSafe/aiohttp";
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc examples test"
+
+CDEPEND="
+       dev-python/chardet[${PYTHON_USEDEP}]
+       >=dev-python/multidict-1.2.2[${PYTHON_USEDEP}]
+       <dev-python/multidict-2[${PYTHON_USEDEP}]
+"
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       dev-python/cython[${PYTHON_USEDEP}]
+       doc? (
+               >=dev-python/alabaster-0.6.2[${PYTHON_USEDEP}]
+               dev-python/sphinxcontrib-asyncio[${PYTHON_USEDEP}]
+               dev-python/sphinxcontrib-newsfeed[${PYTHON_USEDEP}]
+               dev-python/sphinxcontrib-spelling[${PYTHON_USEDEP}]
+               dev-python/sphinx[${PYTHON_USEDEP}]
+       )
+       test? (
+               ${CDEPEND}
+               dev-python/pytest[${PYTHON_USEDEP}]
+               dev-python/pytest-raisesregexp[${PYTHON_USEDEP}]
+               www-servers/gunicorn[${PYTHON_USEDEP}]
+       )
+"
+RDEPEND="${CDEPEND}"
+
+python_compile_all() {
+       use doc && emake -C docs html
+}
+
+python_test() {
+       PYTHONPATH="$(PWD):${PYTHONPATH}" ${PYTHON} -m pytest tests/ || die 
"Tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( docs/_build/html/. )
+       use examples && local EXAMPLES=( examples/. )
+
+       distutils-r1_python_install_all
+}

Reply via email to